From 70423e59c4795f4476ea202e505da11a3ef7ecfa Mon Sep 17 00:00:00 2001
From: Matheus Bernardo <matheussber@aluno.unb.br>
Date: Jun 21 2018 00:18:44 +0000
Subject: [PATCH 28/42] Merge branch 'improving_cleancode' of ssh://pagure.io/forks/matheussbernardo/kiskadee/kiskadee_ui into fixingGetApi


---

diff --git a/src/api/analysis.js b/src/api/analysis.js
index 69ebf5d..7ce4911 100644
--- a/src/api/analysis.js
+++ b/src/api/analysis.js
@@ -9,5 +9,10 @@ export default {
   },
   getResults: (currentPackage, id) => {
     return axios.get(`/analysis/${currentPackage.name}/${currentPackage.versions[0].number}/${id}/results`)
+  },
+  register: (name, email, password) => {
+    return axios.post('http://127.0.0.1:5000/users', { name, email, password })
   }
+
+  
 }
diff --git a/src/components/package/List.vue b/src/components/package/List.vue
index 7ec0472..11558b2 100644
--- a/src/components/package/List.vue
+++ b/src/components/package/List.vue
@@ -137,8 +137,9 @@ export default {
     }
   },
   created () {
+    const VERY_BIG_TIME = 100000000000
     this.updateTable()
-    this.timer = setInterval(this.updateTable, 100000000000)
+    this.timer = setInterval(this.updateTable, VERY_BIG_TIME)
   },
   beforeDestroy () {
     clearInterval(this.timer)
diff --git a/src/components/register/RegisterForm.vue b/src/components/register/RegisterForm.vue
index e06a390..9004efc 100644
--- a/src/components/register/RegisterForm.vue
+++ b/src/components/register/RegisterForm.vue
@@ -65,7 +65,7 @@
 </template>
 
 <script>
-  import axios from 'axios'
+  import api from '../../api/analysis'
   export default {
     name: 'register-form',
     data () {
@@ -97,12 +97,7 @@
           window.$('#help-password').text('As senhas não conferem')
           return false
         }
-
-        axios.post('http://127.0.0.1:5000/users', {
-          name: this.form['name'],
-          email: this.form['email'],
-          password: this.form['password']
-        })
+        api.register(this.form['name'], this.form['email'], this.form['password'])
         .then(r => {
           if (r.status === 201) {
             console.log('success')

